<fieldset data-ng-disabled="formSubmittedSuccessfully">
    <div class="wrapper-wrap heightAdjust">
        <div class="col-md-12">
            <!--col-md-12 start -->
            <div class="col-md-12">
                <div class="col-md-4">
                    <div class="form-group paddingtb20">
                        <label>{{ "EST_TYP" | translate }}<span class="mandatory">*</span></label>
                        <select name="establishmentType" required data-ng-class="{'error': createRequest.establishmentType.$invalid}" data-ng-model="data.establishmentType" class="form-control form-input">
                            <option value="">{{ "SELECT" | translate }}</option>
                            <option value="Law">{{ "LAW" | translate }}</option>
                            <option value="Decree">{{ "DECREE" | translate }}</option>
                            <option value="Resolution">{{ "RSLUTN" | translate }}</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group paddingtb20">
                        <label title="Establishment Legislation Number" class="one-line-text">
                        {{ "ESTAB_LEGIS_NUM" | translate }}<span class="mandatory">*</span></label>
                        <input type="text" name="establishmentLegislationReferenceNumber" data-ng-model="data.establishmentLegislationReferenceNumber" class="form-control form-input" required="required" data-ng-class="{'error': createRequest.establishmentLegislationReferenceNumber.$invalid}"></input>
                        <p class="error-message help-block" ng-show="createRequest.establishmentLegislationReferenceNumber.$error.required &amp;&amp; createRequest.establishmentLegislationReferenceNumber.$touched">
                        {{ "ESTB_LEGIS_REF_NUM_REQ" | translate }}</p>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="col-md-4">
                    <div class="form-group paddingtb20">
                        <label title="Establishment Legistlation Year" class="one-line-text">
                        {{ "ESTB_LEGIS_YR" | translate }}<span class="mandatory">*</span></label>
                        <input type="number" name="establishmentLegislationReferenceYear" data-ng-model="data.establishmentLegislationReferenceYear" class="form-control form-input" required="required" placeholder="yyyy" ng-pattern="/^(19[8-9]\d|20[0-1][0-8]|2018)$/" data-ng-class="{'error': createRequest.establishmentLegislationReferenceYear.$invalid}"></input>
                        <p class="error-message help-block" ng-show="createRequest.establishmentLegislationReferenceYear.$error.required &amp;&amp; createRequest.establishmentLegislationReferenceYear.$touched">
                        {{ "ESTB_LEGIS_REF_YR_REQ" | translate }}</p>
                        <p class="error-message help-block" ng-show="createRequest.establishmentLegislationReferenceYear.$error.pattern &amp;&amp; createRequest.establishmentLegislationReferenceYear.$touched">
                        {{ "YR_SUD_BE_BET_EIGHTY_EIGHTEEN" | translate }}</p>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group paddingtb20">
                        <label>{{ "EST_LEGIS_URL" | translate }}<span class="mandatory">*</span></label>
                        <input type="text" name="establishmentLegislationUrl" data-ng-model="data.establishmentLegislationUrl" class="form-control form-input" required="required" ng-pattern="/^(http[s]?:\/\/){0,1}(www\.){0,1}[a-zA-Z0-9\.\-]+\.[a-zA-Z]{2,5}[\.]{0,1}/" data-ng-class="{'error': createRequest.establishmentLegislationUrl.$invalid}"></input>
                        <p class="error-message help-block" ng-show="createRequest.establishmentLegislationUrl.$error.required &amp;&amp; createRequest.establishmentLegislationUrl.$touched">
                        {{ "EST_LEGIS_URL_REQ" | translate }}</p>
                        <p class="error-message help-block" ng-show="createRequest.establishmentLegislationUrl.$error.pattern &amp;&amp; createRequest.establishmentLegislationUrl.$touched">{{ "NT_VLD_URL" | translate }}
                        </p>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="col-md-4">
                    <div class="form-group paddingtb20">
                        <label>{{ "FUNDNG_SRC" | translate }}</label>
                        <select name="fundingSource" data-role="multiselect" data-ng-model="data.fundingSource" class="form-control form-input multiselect-ui" multiple="multiple" ng-change="getSelectedValue(data.fundingSource)">
                            <option value="Government Fund">{{ "GOVT_FUND" | translate }}</option>
                            <option value="Fees & Services charge">{{ "FEES_SRVC_CHRG" | translate }}
                            </option>
                            <option value="Grants & Donations">{{ "GRNT_N_DONAT" | translate }}</option>
                            <option value="Core Government Engine">{{ "COR_GOVT_ENGIN" | translate }}
                            </option>
                            <option value="Investment returns">{{ "INVSTMNT_RETURNS" | translate }}</option>
                            <option value="Other">{{ "OTHR" | translate }}</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group paddingtb20" data-ng-show="flagOther">
                        <label>{{ "FUNDNG_SRC_OTHR" | translate }}</label>
                        <input type="text" name="fundingSourceOther" data-ng-model="data.accountingApproachOther" class="form-control form-input" data-ng-class="{'error': createRequest.accountingApproachOther.$invalid}"></input>
                    </div>
                </div>
             </div>

            <!-- <div class="col-md-12">
                <div class="col-md-1">
                </div>
                <div class="col-md-2">
                </div>
                <div class="col-md-4 relatedFields">
                    <label class="relatedFieldsTitle">Accounting Approach<span class="mandatory">*</span></label>
                    <div class="form-group paddingtb20">
                        <label>Accounting Approach<span class="mandatory">*</span></label>
                        <select name="accountingApproach" required data-ng-class="{'error': createRequest.accountingApproach.$invalid}" data-ng-model="data.accountingApproach" class="form-control form-input">
                            <option value="">Select</option>
                            <option value="Commercial Accounting">Commercial Accounting</option>
                            <option value="Public Accouning">Public Accouning</option>
                            <option value="Other">Other</option>
                        </select>
                    </div>
                    <div class="form-group paddingtb20">
                        <label>Accounting Approach (Other)<span class="mandatory">*</span></label>
                        <input type="text" name="accountingApproachOther" data-ng-model="data.accountingApproachOther" class="form-control form-input" data-ng-class="{'error': createRequest.accountingApproachOther.$invalid}"></input>
                        <p class="error-message help-block" ng-show="createRequest.accountingApproachOther.$error.required &amp;&amp; createRequest.accountingApproachOther.$touched">Accounting Approach (Other) is required.</p>
                    </div>
                </div>
            </div> -->
            <div class="col-md-12">
                <fieldset class="fieldSetStyle">
                    <legend class="legendStyle">{{ "ACUNTING_APRCH" | translate }}</legend>
                    <div class="col-md-4 ">
                        <div class="form-group paddingtb20">
                            <label>{{ "ACUNTING_APRCH" | translate }}<span class="mandatory">*</span></label>
                            <select name="accountingApproach" required data-ng-class="{'error': createRequest.accountingApproach.$invalid}" data-ng-model="data.accountingApproach" class="form-control form-input">
                                <option value="">{{ "SELECT" | translate }}</option>
                                <option value="Commercial Accounting">{{ "COMRCAL_ACNTING" | translate }}</option>
                                <option value="Public Accouning">{{ "PBLIC_ACNTING" | translate }}</option>
                                <option value="Other">{{ "OTHR" | translate }}</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group paddingtb20" data-ng-if="data.accountingApproach == 'Other'">
                            <label>{{ "ACNTING_APRCH_OTHR" | translate }}</label>
                            <input type="text" name="accountingApproachOther" data-ng-model="data.accountingApproachOther" class="form-control form-input" data-ng-class="{'error': createRequest.accountingApproachOther.$invalid}"></input>
                            <p class="error-message help-block" ng-show="createRequest.accountingApproachOther.$error.required &amp;&amp; createRequest.accountingApproachOther.$touched">{{ "ACNTING_APRCH_OTHR_REQ" | translate }}</p>
                        </div>
                    </div>
                </fieldset>
            </div>
        </div>
    </div>
</fieldset>
